> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Virtual Cross Connect Cloud Coverage

> List Virtual Cross Connects Cloud Coverage.<br /><br />This endpoint shows which cloud regions are available for the `location_code` your Virtual Cross Connect will be provisioned in.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/networking/networking.yml get /virtual_cross_connects/coverage
openapi: 3.1.0
info:
  title: Telnyx Networking API
  version: 2.0.0
  description: API for Networking.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /virtual_cross_connects/coverage:
    get:
      tags:
        - Virtual Cross Connects
      summary: List Virtual Cross Connect Cloud Coverage
      description: >-
        List Virtual Cross Connects Cloud Coverage.<br /><br />This endpoint
        shows which cloud regions are available for the `location_code` your
        Virtual Cross Connect will be provisioned in.
      operationId: ListVirtualCrossConnectCoverage
      parameters:
        - name: filters
          in: query
          style: deepObject
          explode: true
          description: >-
            Consolidated filters parameter (deepObject style). Originally:
            filters[available_bandwidth][contains]
          schema:
            type: object
            properties:
              available_bandwidth:
                oneOf:
                  - type: integer
                    description: Filter by exact available bandwidth match
                  - type: object
                    properties:
                      contains:
                        type: integer
                        description: >-
                          Filter by available bandwidth containing the specified
                          value
                    additionalProperties: false
                    description: Available bandwidth filtering operations
            additionalProperties: false
        - name: filter
          in: query
          style: deepObject
          explode: true
          description: >-
            Consolidated filter parameter (deepObject style). Originally:
            filter[cloud_provider], filter[cloud_provider_region],
            filter[location.region], filter[location.site],
            filter[location.pop], filter[location.code]
          schema:
            type: object
            properties:
              cloud_provider:
                type: string
                enum:
                  - aws
                  - azure
                  - gce
                description: The Virtual Private Cloud provider.
                example: aws
              cloud_provider_region:
                type: string
                description: The region of specific cloud provider.
                example: us-east-1
              location.region:
                type: string
                example: AMER
                description: The region of associated location to filter on.
              location.site:
                type: string
                example: SJC
                description: The site of associated location to filter on.
              location.pop:
                type: string
                example: SV1
                description: The POP of associated location to filter on.
              location.code:
                type: string
                example: silicon_valley-ca
                description: The code of associated location to filter on.
        - $ref: '#/components/parameters/PageConsolidated'
      responses:
        '200':
          $ref: '#/components/responses/VirtualCrossConnectCoverageListResponse'
        '422':
          $ref: '#/components/responses/netapps_GenericErrorResponse'
        default:
          $ref: '#/components/responses/netapps_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const virtualCrossConnectsCoverageListResponse of
            client.virtualCrossConnectsCoverage.list()) {
              console.log(virtualCrossConnectsCoverageListResponse.available_bandwidth);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.virtual_cross_connects_coverage.list()
            page = page.data[0]
            print(page.available_bandwidth)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.VirtualCrossConnectsCoverage.List(context.TODO(), telnyx.VirtualCrossConnectsCoverageListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.virtualcrossconnectscoverage.VirtualCrossConnectsCoverageListPage;

            import
            com.telnyx.sdk.models.virtualcrossconnectscoverage.VirtualCrossConnectsCoverageListParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    VirtualCrossConnectsCoverageListPage page = client.virtualCrossConnectsCoverage().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.virtual_cross_connects_coverage.list

            puts(page)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $page = $client->virtualCrossConnectsCoverage->list(
                filter: [
                  'cloudProvider' => 'aws',
                  'cloudProviderRegion' => 'us-east-1',
                  'locationCode' => 'silicon_valley-ca',
                  'locationPop' => 'SV1',
                  'locationRegion' => 'AMER',
                  'locationSite' => 'SJC',
                ],
                filters: ['availableBandwidth' => 0],
                pageNumber: 0,
                pageSize: 0,
              );

              var_dump($page);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx virtual-cross-connects-coverage list \
              --api-key 'My API Key'
components:
  parameters:
    PageConsolidated:
      name: page
      in: query
      style: deepObject
      explode: true
      description: >-
        Consolidated page parameter (deepObject style). Originally:
        page[number], page[size]
      schema:
        type: object
        properties:
          number:
            type: integer
            minimum: 1
            default: 1
            description: The page number to load
          size:
            type: integer
            minimum: 1
            maximum: 250
            default: 20
            description: The size of the page
  responses:
    VirtualCrossConnectCoverageListResponse:
      description: Successful response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/VirtualCrossConnectCoverage'
              meta:
                $ref: '#/components/schemas/PaginationMeta'
    netapps_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/netapps_Errors'
  schemas:
    VirtualCrossConnectCoverage:
      allOf:
        - type: object
          title: VirtualCrossConnectCoverage
          properties:
            record_type:
              type: string
              description: Identifies the type of the resource.
              readOnly: true
              example: virtual_cross_connects_coverage
            location:
              $ref: '#/components/schemas/netapps_Location'
            cloud_provider:
              type: string
              enum:
                - aws
                - azure
                - gce
              description: >-
                The Virtual Private Cloud with which you would like to establish
                a cross connect.
              example: aws
            cloud_provider_region:
              type: string
              description: >-
                The region where your Virtual Private Cloud hosts are located.
                Should be identical to how the cloud provider names region, i.e.
                us-east-1 for AWS but Frankfurt for Azure
              example: us-east-1
            available_bandwidth:
              type: array
              description: >-
                The available throughput in Megabits per Second (Mbps) for your
                Virtual Cross Connect.
              items:
                type: number
              example:
                - 50
                - 100
                - 200
                - 500
    PaginationMeta:
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
    netapps_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/netapps_Error'
      type: object
    netapps_Location:
      type: object
      title: Location
      properties:
        region:
          type: string
          description: Identifies the geographical region of location.
          example: AMER
        site:
          type: string
          description: Site of location.
          example: ORD
        pop:
          type: string
          description: Point of presence of location.
          example: CH1
        code:
          type: string
          description: Location code.
          example: chicago-il
        name:
          type: string
          description: Human readable name of location.
          example: Chicago IL, US
    netapps_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````